Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 283522 - app-emulation/virtualbox-{bin,ose}-3.0.4 don't install the VirtualBox executable
Summary: app-emulation/virtualbox-{bin,ose}-3.0.4 don't install the VirtualBox executable
Status: VERIFIED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Markus Ullmann (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-02 14:54 UTC by wayne
Modified: 2009-09-13 00:14 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description wayne 2009-09-02 14:54:39 UTC
app-emulation/virtualbox-bin-3.0.4
and
app-emulation/virtualbox-ose-3.0.4

are broken

bash: /usr/bin/VirtualBox: No such file or directory

Reproducible: Always

Steps to Reproduce:
1.VirtualBox &
2.
3.

Actual Results:  
bash: /usr/bin/VirtualBox: No such file or directory

[1]+  Exit 127                VirtualBox

Expected Results:  
VirtualBox should have started

I will get VirtualBox from the site and see if it is broken upstream.
Comment 1 wayne 2009-09-02 15:09:19 UTC
Only the ebuild is broken

cd /usr/portage/distfiles/
chmod +x VirtualBox-3.0.4-50677-Linux_amd64.run
/.VirtualBox-3.0.4-50677-Linux_amd64.run

VirtualBox &

VirtualBox started just fine


I will look at the ebuild and try to fix it. 
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2009-09-02 15:54:26 UTC
Please post your "emerge --info" and the output of

  emerge -pOv virtualbox-{bin,ose}
Comment 3 wayne 2009-09-02 16:24:33 UTC
These are the packages that would be merged, in order:

[ebuild IN    ] app-emulation/virtualbox-bin-3.0.4  USE="additions chm -headless -sdk -vboxwebsrv" 0 kB

Total: 1 package (1 new, 1 interactive), Size of downloads: 0 kB

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.



These are the packages that would be merged, in order:

[ebuild  N    ] app-emulation/virtualbox-ose-3.0.4  USE="additions alsa hal opengl python qt4 -headless -pulseaudio -sdk -vboxwebsrv" 0 kB

Total: 1 package (1 new), Size of downloads: 0 kB

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.1.2, glibc-2.9_p20081201-r2, 2.6.23-gentoo-r3 x86_64)
=================================================================
System uname: Linux-2.6.23-gentoo-r3-x86_64-AMD_Athlon-tm-_64_Processor_3500+-with-gentoo-1.12.11.1
Timestamp of tree: Thu, 27 Aug 2009 03:30:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.2-r7, 2.6.2-r1
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=athlon64 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=athlon64 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="digest distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/desktop-effects /usr/local/portage/layman/kde-testing /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl additions alsa amd64 apache2 berkdb bzip2 cli cracklib crypt cups dri emerald ffmpeg fortran gdbm glitz gpm grammar gtk iconv ipv6 isdnlog java jpeg mmx mng mp3 mudflap multilib ncurses nls nptl nptlonly offensive opengl openmp pam pcre pdf perl png ppds pppd python readline reflection session spell spl sse sse2 ssl svg sysfs tcpd templates thesaurus unicode vorbis xcb xorg xulrunner zlib" ALSA_CARDS="emu10k1x" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="sony_dscf1 sony_dscf55" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Gef 2009-09-02 17:49:18 UTC
Worksforme ~x86.

virtualbox-bin will *not* install anything in /usr/bin cause it is a binary package. It will rather be merged in /opt/bin, which is (life is great) in your standard $PATH. Hence :
$ ls -l `which VirtualBox`
lrwxrwxrwx 1 root root 23 août  17 23:35 /opt/bin/VirtualBox -> /opt/VirtualBox/VBox.sh
Can't tell about virtualbox-ose.
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2009-09-02 20:27:32 UTC
There's no need to CC yourself when you're the reporter of a bug. You will receive mails on changes to this bug anyway.
Comment 6 wayne 2009-09-03 13:54:43 UTC
(In reply to comment #4)

virtualbox-ose and virtualbox-bin have the same issue.
every thing that should be in /opt/* is not being installed

once this bug is fixed we should consider marking this version of virtualbox the default install. This version is near VMware qulity. 

> Worksforme ~x86.
> 
> virtualbox-bin will *not* install anything in /usr/bin cause it is a binary
> package. It will rather be merged in /opt/bin, which is (life is great) in your
> standard $PATH. Hence :
> $ ls -l `which VirtualBox`
> lrwxrwxrwx 1 root root 23 août  17 23:35 /opt/bin/VirtualBox ->
> /opt/VirtualBox/VBox.sh
> Can't tell about virtualbox-ose.
> 

Comment 7 Patrick Lauer gentoo-dev 2009-09-12 12:24:37 UTC
Can't reproduce.
Please attach the list of installed files (equery f virtualbox-ose should do the trick) and possibly a build log if you can still trigger this issue.
Comment 8 wayne 2009-09-13 00:13:47 UTC
(In reply to comment #7)
We can close this bug it is not a big deal. Virtualbox is very easy to install from the web page. Someone will open a bug report if this becomes a real issue.



> Can't reproduce.
> Please attach the list of installed files (equery f virtualbox-ose should do
> the trick) and possibly a build log if you can still trigger this issue.
>